<?php

namespace App\Models\Admin;

use App\Traits\UuidTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MsTujuanSosialKategori extends Model
{
    use HasFactory;
    use UuidTrait;

    public $incrementing = false;
    protected $table = 'ms_tujuan_sosial_kategori';
    protected $keyType = 'string';

    protected $fillable = ['namatujuan', 'created_at', 'updated_at', 'userid_created', 'userid_updated'];

    public function children()
    {
        return $this->hasMany(MsTujuanSosial::class, 'id_tujuan_kategori', 'id');
    }
}
